<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:include href="common.xsl"/>

  <xsl:output method="html"/>
  <!-- set mode to cd/web/wiki depending on where the files will end up -->
  <xsl:variable name="mode">web</xsl:variable>
  
  <xsl:template match="Tutorial">
    <xsl:if test="not(@hidden)">
    <html>
      <head>
	<title><xsl:apply-templates select="Title/Text"/></title>
      </head>
      <body>
	<h1><xsl:apply-templates select="/TutorialList/SupplementaryText/Text[@id='title']"/></h1>
	<div style="text-align:right;">
	  <xsl:call-template name="supplementary">
	    <xsl:with-param name="mode" select="$mode"/>
	  </xsl:call-template>
	</div>
	<a name="{@id}"/>
	<h2><xsl:apply-templates select="Title/Text"/></h2>
	<xsl:apply-templates select="Content/*"/>
      </body>
    </html>
    </xsl:if>
  </xsl:template>

  <xsl:template name="supplementary">
    <xsl:param name="mode">web</xsl:param>
    <xsl:if test="$mode='wiki'">
      <xsl:call-template name="WikiLink"/>
    </xsl:if>
    <xsl:call-template name="IndexLink">
      <xsl:with-param name="mode">individual</xsl:with-param>
    </xsl:call-template>
    <xsl:apply-templates select="Prerequisite" mode="individual"/>
    <xsl:if test="SampleFiles">
      <xsl:call-template name="SampleFiles">
	<xsl:with-param name="mode"><xsl:value-of select="$mode"/></xsl:with-param>
      </xsl:call-template>
    </xsl:if>
    <xsl:apply-templates select="Version"/>
  </xsl:template>

 <!-- <xsl:template match="Title">
    <h2><xsl:apply-templates select="Text"/></h2>
  </xsl:template>-->

 
</xsl:stylesheet>
